Unusual behavior

Hi,
I created a box from the API :
TopoDS_Shape aShell = BRepPrimAPI_MakeBox(200,60,60);

Here is something interesting that I found :
I start iterating through the faces of this box.
For each face,I wanted to get the points on the vertices of the edges.Using the following statements.
===========================================
Standard_Real start,end;
Handle(Geom_Curve) pCurve = BRep_Tool::Curve TopoDS::Edge(exp.Current()),start,end);
gp_Pnt pt1 = pCurve->Value(start);
gp_Pnt pt2 = pCurve->Value(end);
===========================================
I found that each face has 4 edges.But the orientation of the first two edges is closkwise, whereas orientation of the last two edges is anticlockwise.Due to this I am not able to extract the points in the natural sequence.
Any explainations for this??Or any trick to overcome this ?
Thanks,
Nitin.

Rob Bachrach's picture

Try checking the orientation of the edge. If the orientation is REVERSED, reverse your start and end parameters (or the points).